Bug 124994 - /lib/ld-linux.so.2 symlink needed for ldd w/ ia32 apps
/lib/ld-linux.so.2 symlink needed for ldd w/ ia32 apps
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks: 126674
  Show dependency treegraph
 
Reported: 2004-06-01 16:38 EDT by Greg Edwards
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-25 10:57:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Greg Edwards 2004-06-01 16:38:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ia64; en-US; rv:1.8a2)
Gecko/20040521 Firefox/0.8.0+

Description of problem:
/usr/bin/ldd contains:

RTLDLIST="/lib/ld-linux-ia64.so.2 /lib/ld-linux.so.2"

---

On ia64, /lib/ld-linux.so.2 should be a symlink to 
/emul/ia32-linux/lib/ld-linux.so.2 so ldd will work for ia32-compiled
apps.  Otherwise, the behavior is:

$ file setup
setup: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for
GNU/Linux 2.0.0, dynamically linked (uses shared libs), stripped

$ ldd setup
        not a dynamic executable

With the symlink in place, the output is correct:

$ ldd setup
        libdl.so.2 => /lib/libdl.so.2 (0x40034000)
        libX11.so.6 => not found
        libpthread.so.0 => /lib/tls/libpthread.so.0 (0x40038000)
        libm.so.6 => /lib/tls/libm.so.6 (0x40048000)
        libc.so.6 => /lib/tls/libc.so.6 (0x4006c000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)


Version-Release number of selected component (if applicable):
glibc-2.3.2-95.20

How reproducible:
Always

Steps to Reproduce:
1. Run ldd on an ia32 app on an RHEL AS 3 Update 2 ia64 box
2.
3.
    

Additional info:
Comment 1 Jakub Jelinek 2004-10-25 10:57:33 EDT
glibc-2.3.2-95.27 and above have:
RTLDLIST="/lib/ld-linux-ia64.so.2 /emul/ia32-linux/lib/ld-linux.so.2"
in /usr/bin/ldd.

Note You need to log in before you can comment on or make changes to this bug.